#include <iostream>

using namespace std;

int main(void)
{
     double A,B,C;
     long double A1,B1,C1;

    cin>>A>>B>>C;

    if (A>9){
        A1=A/10;
    }else
            A1=A;

    if (B>9){
        B1=B/10;
    }else
            B1=B;


    if (C>9){
        C1=C/10;
    }else
            C1=C;



    if (A1>B1&A1>C1){
        if(B>C&B1>=C1){
            cout<<A<<B<<C;}
        else {
            cout<<A<<C<<B;

        }
    }


    if (B1>A1&B1>C1){
        if(A>C&A1>=C1){
            cout<<B<<A<<C;
        }
        else {
            cout<<B<<C<<A;
        }

    }

    if (C1>B1&C1>A1){
        if (A1>=B1&A>B){
            cout<<C<<A<<B;
        }
        else {
            cout<<C<<B<<A;
        }


    }


    return 0;
}